import { r as o, h as s, H as r } from "./index.61732cef.js";
import "react";
import "react-dom";
const t = () => ":host{display:block}:host *{box-sizing:border-box}.columns{display:grid;width:100%}", a = class {
  constructor(e) {
    o(this, e), this.columns = "repeat(3, minmax(0, 1fr))";
  }
  render() {
    return s(r, { key: "38f01f098c3a0cd7ca18731450796a5c9724e053" }, s("div", { key: "35e0b361dde0251c2b720863a86eba6e55fdc8e9", class: "columns", style: {
      gridTemplateColumns: this.columns,
      gap: `var(--s-space-${this.spacing})`
    } }, s("slot", { key: "0847d324dd44000299e7b12d1701860ad30f4dde" })));
  }
};
a.style = t();
export {
  a as swirl_columns
};
